//Includes
#include <windows.h>
#include <iostream.h>


//Functions in the CMU.DLL
extern "C" int _stdcall CAM_Init(char *port);
extern "C" void _stdcall CAM_ClosePort();
extern "C" int _stdcall CAM_TrackLight(unsigned char mode);
extern "C" int _stdcall CAM_Ping();



void main()
{
	int i;	//Used as a loop counter

	//Initialize the comport and setup CMUCam
	CAM_Init("COM1");

	//Do a ping test to see if the CMUCam is hooked and
	//respoding, exit the program if aint working
	if(!CAM_Ping())
	{
		cout << "Ping Error" << endl;
		Sleep(500);
		return;
	}

	
	for(i=0;i<25;i++)
	{	
		//Turn on the light
		if(!CAM_TrackLight('1'))
			cout << "ERROR" << endl;
		else
			cout << "Light On" << endl;

		//Delay so the user can see the light flicker
		Sleep(300);

		//Turn off the light
		if(!CAM_TrackLight('0'))
			cout << "ERROR" << endl;
		else
			cout << "Light Off" << endl;

		//Delay so the user can see the light flicker
		Sleep(300);

	}

	cout << "And that concludes the light show...closing port and shuting down" << endl;

	//Shutdown the CMUCam's comport
	CAM_ClosePort();


	Sleep(4000);
	return;
}